## firefox 43.0~linuxmint1+betsy

=== debian/changelog ===
firefox (43.0~linuxmint1+betsy) betsy; urgency=medium

  * 43.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Dec 2015 09:46:07 +0000

firefox (42.0~linuxmint1) betsy; urgency=medium

  * 42.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Nov 2015 09:40:55 +0000

firefox (41.0.2~linuxmint1) betsy; urgency=medium

  * 41.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 17 Oct 2015 13:04:40 +0100

firefox (41.0.1~linuxmint1) betsy; urgency=medium

  * 41.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 Oct 2015 09:44:05 +0100

firefox (41.0~linuxmint1) betsy; urgency=medium

  * 41.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Sep 2015 17:38:36 +0100

firefox (40.0~linuxmint3) betsy; urgency=medium

  * 40.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Aug 2015 14:42:31 +0200

firefox (40.0~linuxmint2) betsy; urgency=medium

  * 40.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Aug 2015 13:14:27 +0200

firefox (40.0~linuxmint1) betsy; urgency=medium

  * 40.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Aug 2015 15:18:02 +0200

firefox (39.0.3~linuxmint1) betsy; urgency=medium

  * 39.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Aug 2015 12:50:37 +0200

firefox (39.0~linuxmint1) betsy; urgency=medium

  * 39.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jul 2015 07:41:13 +0200

firefox (38.0.1~linuxmint1) betsy; urgency=medium

  * 38.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 May 2015 10:09:54 +0200

firefox (37.0.2~linuxmint1) betsy; urgency=medium

  * 37.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Apr 2015 17:39:28 +0200

firefox (37.0~linuxmint1) betsy; urgency=medium

  * 37.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 31 Mar 2015 21:12:47 +0200

firefox (36.0.4~linuxmint1) betsy; urgency=medium

  * 36.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 22 Mar 2015 16:14:51 +0100

firefox (36.0.1~linuxmint1) debian; urgency=medium

  * 36.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 08 Mar 2015 17:19:04 +0100

firefox (36.0~linuxmint2) debian; urgency=medium

  * Updated desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Mar 2015 13:40:24 +0100

firefox (36.0~linuxmint1) debian; urgency=medium

  * 36.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Feb 2015 14:41:10 +0100

firefox (35.0~linuxmint1) debian; urgency=medium

  * 35.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jan 2015 10:28:57 +0100

firefox (34.0.5~linuxmint1) debian; urgency=medium

  * 34.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Dec 2014 09:54:18 +0100

firefox (33.1.1~linuxmint1) debian; urgency=medium

  * 33.1.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2014 20:55:42 +0100

firefox (33.0~linuxmint1) debian; urgency=medium

  * 33.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Oct 2014 19:40:23 +0200

firefox (32.0.3~linuxmint1) debian; urgency=medium

  * 32.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Oct 2014 09:24:05 +0200

firefox (32.0~linuxmint2) debian; urgency=medium

  * 32.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Sep 2014 16:05:28 +0200

firefox (31.0~linuxmint1) debian; urgency=medium

  * 31.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Aug 2014 15:18:12 +0200

firefox (30.0~linuxmint1) debian; urgency=medium

  * 30.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Jun 2014 10:04:58 +0100

firefox (29.0~linuxmint1) debian; urgency=low

  * 29.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 May 2014 16:30:24 +0100

firefox (28.0~linuxmint1) debian; urgency=low

  * 28.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Mar 2014 09:50:43 +0000

firefox (27.0~linuxmint1) debian; urgency=low

  * 27.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Feb 2014 10:53:48 +0000

firefox (26.0~linuxmint1) debian; urgency=low

  * 26.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2013 11:07:09 +0000

firefox (25.0~linuxmint1) debian; urgency=low

  * 25.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Oct 2013 11:06:46 +0000

firefox (24.0~linuxmint1) debian; urgency=low

  * 24.0

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 23 Sep 2013 10:31:25 +0200

firefox (23.0.1~linuxmint1) debian; urgency=low

  * 23.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Aug 2013 02:33:27 +0100

firefox (21.0~linuxmint2) debian; urgency=low

  * 21.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 23:59:07 +0100

firefox (20.0~linuxmint1) debian; urgency=low

  * 20.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Apr 2013 10:49:00 +0100

firefox (19.0~linuxmint1) debian; urgency=low

  * 19.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Feb 2013 21:21:05 +0000

firefox (18.0.2~linuxmint3) debian; urgency=low

  * 18.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Feb 2013 13:12:23 +0000

firefox (18.0.2~linuxmint1) debian; urgency=low

  * 18.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Feb 2013 12:31:43 +0000

firefox (18.0.1~linuxmint1) debian; urgency=low

  * 18.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 04 Feb 2013 12:35:11 +0000

firefox (18.0~linuxmint1) debian; urgency=low

  * 18.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Jan 2013 01:28:35 +0000

firefox (17.0~linuxmint1) debian; urgency=low

  * 17.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Nov 2012 11:37:32 +0000

firefox (14.0.1) debian; urgency=low

  * 14.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Jul 2012 10:40:44 +0000

firefox (12.0) debian; urgency=low

  * 12.0 

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 May 2012 13:05:59 +0000

firefox (11.0-1lmde1) debian; urgency=low

  * 11.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Mar 2012 13:14:19 +0000

firefox (11.0) debian; urgency=low

  * 11.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 24 Mar 2012 22:42:58 +0000


