## firefox 44.0+build3

=== debian/changelog ===
firefox (44.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_BUILD3)
    - see USN-2880-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-builds.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Amazon has been dropped from the Turkish language pack. Update
    debian/config/searchplugins.conf accordingly

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 23 Jan 2016 00:03:36 +0000

firefox (43.0.4+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_4_BUILD3)
    - Fix LP: #1527884 - Downloads fail in multi-user environments

  * Refresh debian/patches/ubuntu-ua-string-changes.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 05 Jan 2016 22:42:11 +0000

firefox (43.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_BUILD1)
    - see USN-2833-1

  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-menubar.patch
  * Remove patches fixed upstream
    - remove debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Dec 2015 00:46:08 +0000

firefox (42.0+build2-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream release from the beta channel (FIREFOX_42_0_BUILD2)
    - see USN-2785-1

  * Refresh patches
    - update debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/unity-menubar.patch
  * Update unity-menubar.patch to work with GTK3
  * Install compare-locales in to the virtualenv with --old-and-unmanageable -
    the fix for bmo: #1188224 is incompatible with zipped eggs
  * Turn on the crash reporter again

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 28 Oct 2015 09:57:43 +0000

firefox (41.0.2+build2-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_2_BUILD2)
    - see USN-2768-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 14 Oct 2015 09:53:36 +0100

firefox (41.0.1+build2-0ubuntu0.15.04.2) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_1_BUILD2)
    - see USN-2743-4 and LP: #1501277

  * Disable the crash reporter as symbol uploads are currently broken. This
    means that Apport will be catching crashes for now

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Oct 2015 18:08:22 +0100

firefox (41.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_41_0_BUILD3)
    - see USN-2743-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/normalize-distribution-searchplugins.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
  * Drop backout-bmo1162569.patch and update how we install our distribution
    searchplugins
    - update debian/build/rules.mk
    - add debian/config/searchplugins.conf
    - add debian/install-distribution-searchplugins.py
    - remove debian/patches/backout-bmo1162569.patch
    - update debian/patches/series
    - update debian/rules
    - remove all manifest files from debian/searchplugins

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 18 Sep 2015 09:44:50 +0100

firefox (40.0.3+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_40_0_3_BUILD1)
    - see USN-2723-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 26 Aug 2015 19:10:54 +0100

firefox (40.0+build4-0ubuntu0.15.04.4) vivid-security; urgency=medium

  * Disable geo-specific search defaults, and clean up profiles that have
    been inadvertently switched to the wrong search default (LP: #1485741)
    - add debian/patches/disable-geo-specific-search-defaults-for-us.patch
    - add debian/patches/cleanup-geo-specific-search-defaults.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Aug 2015 15:06:51 +0100

firefox (40.0+build4-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_40_0_BUILD4)
    - see USN-2702-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/normalize-distribution-searchplugins.patch
  * Add backout-bmo1162569.patch to temporarily backout shipping search
    engines in the omni.ja, until we've fixed the packaging and verified
    our search engine overrides work

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 04 Aug 2015 11:46:23 +0100

firefox (39.0+build5-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_39_0_BUILD5)
    - see USN-2656-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Bundle our checkout of compare-locales in a different location, given
    that the Mozilla repo now contains a different version of it in the
    location we used previously
    - update debian/build/rules.mk
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Jun 2015 11:47:44 +0100

firefox (38.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (FIREFOX_38_0_BUILD3)
    - see USN-2602-1

  * Refresh patches
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches fixed upstream
    - remove debian/patches/add-non-skia-fallback.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 May 2015 10:56:03 +0100
