## firefox 45.0.2+build1

=== testing/taskcluster/requirements.txt ===
pystache == 0.5.4
PyYAML == 3.11
slugid == 1.0.6
